Bug 901805 - Package bluez depends on gnome-bluetooth
Package bluez depends on gnome-bluetooth
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-19 06:30 EST by Syam
Modified: 2014-02-05 10:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 10:18:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bluetooth (2.38 KB, patch)
2014-01-05 06:36 EST, jerry williams
no flags Details | Diff

  None (edit)
Description Syam 2013-01-19 06:30:35 EST
Should bluez really depend on gnome-bluetooth?
I don't know the internals, but it does seem counter-intuitive. Just asking.

Also:
Removing bluez leads to removing gnome-bluetooth.
And removing gnome-bluetooth leads to removing bluez!
Comment 1 Marcel Holtmann 2013-01-19 18:34:23 EST
I was wondering the same thing. Neither should bluez depend on or require gnome-bluetooth nor should gnome-bluetooth depend or require bluez.

The communications between bluez and gnome-bluetooth happens via D-Bus and thus the existence of org.bluez (provided by bluetoothd from bluez) is a runtime dependency. It should be possible to de-install bluez package without de-installing gnome-shell.

The trigger for starting bluetoothd should not be gnome-shell or gnome-bluetooth. It should be triggered by udev and bluetooth.target unit.
Comment 2 Christopher Beland 2013-02-20 13:41:16 EST
bluez-4.101-6.fc18.x86_64 actually depends on:

  dependency: dbus-bluez-pin-helper
   provider: gnome-bluetooth.x86_64 1:3.6.1-2.fc18
   provider: blueman.x86_64 1.23-5.fc18
   provider: bluedevil.x86_64 1.3-1.fc18
   provider: bluedevil.i686 1.3-1.fc18
Comment 3 Fedora Admin XMLRPC Client 2013-08-26 10:25:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-12-21 05:33:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 jerry williams 2014-01-05 06:36:15 EST
Created attachment 845734 [details]
bluetooth
Comment 6 Fedora End Of Life 2014-02-05 10:18:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.